be.fgov.ehealth.ehbox.core.v3

## Class BoxIdType

- java.lang.Object
- - be.fgov.ehealth.commons.core.v1.IdentifierType
  - - be.fgov.ehealth.ehbox.core.v3.BoxIdType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SubstituteType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:44:14+01:00",
                 comments="JAXB RI v2.3.7")
      public class BoxIdType
      extends IdentifierType
      implements Serializable

  Specify another eHealthBox to use for the request

  Java class for BoxIdType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BoxIdType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:core:v1}IdentifierType">
             <sequence>
               <element name="Quality" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoxIdType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getQuality()` Gets the value of the quality property.
    `void` | `setQuality(String value)` Sets the value of the quality property.

    - ### Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType

      `getId, getSubType, getType, setId, setSubType, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoxIdType

          public BoxIdType()

  - ### Method Detail

    - #### getQuality

          public String getQuality()

      Gets the value of the quality property.
      Returns:
        possible object is `String`

    - #### setQuality

          public void setQuality(String value)

      Sets the value of the quality property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.